org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Class OptionsStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.DecorationStrategy>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.OptionsStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.DecorationStrategy>, TraversalStrategy.DecorationStrategy

      public class OptionsStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.DecorationStrategy>
      implements TraversalStrategy.DecorationStrategy

  This strategy will not alter the traversal. It is only a holder for configuration options associated with the traversal meant to be accessed by steps or other classes that might have some interaction with it. It is essentially a way for users to provide traversal level configuration options that can be used in various ways by different graph providers.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OptionsStrategy.Builder`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OptionsStrategy` | `EMPTY` An empty `OptionsStrategy` with no configuration values inside.

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `static OptionsStrategy.Builder` | `build()`
    `static OptionsStrategy` | `create(Configuration configuration)`
    `Configuration` | `getConfiguration()` Get the configuration representation of this strategy.
    `Map<String,Object>` | `getOptions()` Gets the options on the strategy as an immutable `Map`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.DecorationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPost, applyPrior`

- - ### Field Detail

    - #### EMPTY

          public static final OptionsStrategy EMPTY

      An empty `OptionsStrategy` with no configuration values inside.

  - ### Method Detail

    - #### getOptions

          public Map<String,Object> getOptions()

      Gets the options on the strategy as an immutable `Map`.

    - #### getConfiguration

          public Configuration getConfiguration()

      Description copied from interface: `TraversalStrategy`
      Get the configuration representation of this strategy. This is useful for converting a strategy into a serialized form.
      Specified by:
        `getConfiguration` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`
      Returns:
        the configuration used to create this strategy

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`

    - #### create

          public static OptionsStrategy create(Configuration configuration)

    - #### build

          public static OptionsStrategy.Builder build()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.